import { PrismaClient } from '@prisma/client';
import { Import } from './import';
import { DataTag } from './types';
declare const getData: (selector: DataTag[], grid: any, prisma?: PrismaClient<import(".prisma/client").Prisma.PrismaClientOptions, never, import(".prisma/client").Prisma.RejectOnNotFound | import(".prisma/client").Prisma.RejectPerOperation | undefined> | undefined) => Promise<{
    series: unknown[];
    categories: {
        label: string;
        values: (string | number | null)[];
    }[];
}>;
declare const Reader: typeof Import;
declare const grid: {
    all: (section: "row" | "column") => import("./types").DataGridCategories;
    value: (points: import("./types").DataPoint[]) => import("./types").ResultCell;
};
export { Reader, grid, getData };
